%% GM voxel intensities inside the clusters
function [results] = LVQwithVBMData (data_controles, data_pacientes)

   per_group_subjects_no=49;
   k_de_kfold = 10;
   p = cvpartition(per_group_subjects_no,'kfold',k_de_kfold);
   c = cvpartition(per_group_subjects_no,'kfold',k_de_kfold);
   total_tests = 0;

   patient_label = 1;
   control_label = 2;

   for k=1:k_de_kfold

      training_data_controles = data_controles (training(c,k)==1,:);
      training_data_pacientes = data_pacientes (training(p,k)==1,:); 
       
      [data label feat_no] = alignAndLabelDataForNN (training_data_controles, training_data_pacientes, control_label, patient_label);
      label_ind = ind2vec(label);      

      %creating neural network and training with training set
      numTrain = size(training_data_controles,1) + size(training_data_pacientes,1);
      priori_1 = size(training_data_controles,1)/numTrain;
      priori_2 = size(training_data_pacientes,1)/numTrain;

      lvqnets (k).net = newlvq(minmax(data'), 5, [priori_1 priori_2], 0.1);
      lvqnets (k).net.trainParam.epochs     = 150;
      lvqnets (k).net.trainParam.goal       = 0.01;
      lvqnets (k).net.trainParam.show       = Inf;
      lvqnets (k).net.trainParam.showWindow = false;

      [trained_net, train_record] = train(lvqnets(k).net, data', label_ind);
      lvqnets(k).net = trained_net;

      %compute classification of the test set
      test_data_controles = data_controles (training(c,k)==0,:);
      test_data_pacientes = data_pacientes (training(p,k)==0,:);

      [test_data test_label test_feat_no] = alignAndLabelDataForNN (test_data_controles, test_data_pacientes, control_label, patient_label);

      lvqnet_results(k).output = vec2ind ( sim (lvqnets (k).net, test_data') );
      lvqnet_results(k).target = test_label;

      [TP TN FP FN Accuracy Specificity Sensitivity] = computeErrors (lvqnet_results(k).target', lvqnet_results(k).output);
     
      lvqnet_results(k).TP = TP;
      lvqnet_results(k).TN = TN;
      lvqnet_results(k).FP = FP;
      lvqnet_results(k).FN = FN;
      lvqnet_results(k).Accuracy = Accuracy;
      lvqnet_results(k).Specificity = Specificity;
      lvqnet_results(k).Sensitivity = Sensitivity;

   end

   results = lvqnet_results;
